﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace NetLinkTrackerDemoMVC.Models
{
    public class CreateLinkViewModel
    {
        [Required(ErrorMessage = "URL is required")]
        [DisplayName("URL")]
        [RegularExpression(@"^(https?://)(www\d*.)(([!#$&-;-\[\]_a-z~]|%[0-9a-fA-F]{2})+)(\??([!#$&-;=-\[\]_a-z~]|%[0-9a-fA-F]{2})+)?$",
            ErrorMessage = "Please enter a valid URL beginning with http or https")]
        public string Url { get; set; }

        [Range(1, 1000)]
        [Required(ErrorMessage = "Expiration Days is required")]
        [DisplayName("Expiration Days")]
        public int ExpirationDays { get; set; }

        public string CreatedLink { get; set; }
    }
}