﻿using System.Collections.Generic;
using System.IO;
using KellermanSoftware.NetLinkTracker;
using KellermanSoftware.NetLinkTracker.Entities;

namespace NetLinkTrackerDemoWebforms
{
    public class BusinessLogic
    {
        public string CreateLink(string url, int expirationDays)
        {
            DataLayer.CheckSetup();
            LinkLogic linkLogic = new LinkLogic();

            TrackedLink trackedLink = linkLogic.CreateExpiringUrl(url,expirationDays);
            return trackedLink.LinkGuid;
        }

        public string CreateDownloadLink(string rootPath, string fileName, byte[] data, int expirationDays)
        {
            string filePath = SaveFile(rootPath, fileName, data);

            DataLayer.CheckSetup();
            LinkLogic linkLogic = new LinkLogic();
            TrackedLink trackedLink = linkLogic.CreateExpiringDownload(filePath, expirationDays);
            return trackedLink.LinkGuid;                
        }

        private string SaveFile(string rootPath, string fileName, byte[] data)
        {
            string downloadPath = Path.Combine(rootPath, "Downloads");
            if (!Directory.Exists(downloadPath))
                Directory.CreateDirectory(downloadPath);

            string filePath = Path.Combine(downloadPath, fileName);

            File.WriteAllBytes(filePath, data);

            return filePath;
        }

        public List<TrackedLink> GetAllLinks()
        {
            DataLayer.CheckSetup();
            LinkLogic linkLogic = new LinkLogic();
            return linkLogic.DatabaseLogic.GetAllTrackedLinks();
        }
    }
}