﻿using System;
using KellermanSoftware.NetDataAccessLayer;

namespace NetLinkTrackerDemoWebforms
{
    public partial class CreateLink : System.Web.UI.Page
    {
        protected void btnSubmit_OnClick(object sender, EventArgs e)
        {
            try
            {
                BusinessLogic businessLogic = new BusinessLogic();
                string link = businessLogic.CreateLink(txtUrl.Text, Convert.ToInt32(txtExpirationDays.Text));

                string message = string.Format("Link Created<br/><a href='LinkHandler?LinkId={0}'>Test It</a>", link);
                ShowMessage(message, true);
            }
            catch (SqlException sqlex)
            {
                ShowMessage(sqlex.Sql + "|" + sqlex, false);
            }
            catch (Exception ex)
            {
                ShowMessage(ex.ToString(), false);
            }
        }

        private void ShowMessage(string message, bool isSuccess)
        {
            MessageDiv.InnerHtml = message;
            MessageDiv.Attributes.Add("class", isSuccess ? "alert alert-success"
                                                         : "alert alert-danger");
            MessageDiv.Visible = true;
        }
    }
}