﻿using System;
using KellermanSoftware.NetDataAccessLayer;
using KellermanSoftware.NetLinkTracker;
using KellermanSoftware.NetLinkTracker.Entities;

namespace NetLinkTrackerDemoWebforms
{
    public partial class LinkHandler : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                LinkLogic linkLogic = new LinkLogic();
                TrackedLink trackedLink = linkLogic.GetLinkByGuid(Request["LinkId"]);

                LinkStatus status = linkLogic.CheckLinkStatus(trackedLink);

                lblStatusText.Text = status.ToString();
                lblFriendlyStatusText.Text = linkLogic.GetFriendlyStatus(trackedLink);

                if (status == LinkStatus.Active)
                    linkLogic.ProcessLink(trackedLink);

            }
            catch (SqlException sqlex)
            {
                ShowMessage(sqlex.Sql + "|" + sqlex, false);
            }
            catch (Exception ex)
            {
                ShowMessage(ex.ToString(), false);
            }
        }

        private void ShowMessage(string message, bool isSuccess)
        {
            MessageDiv.InnerText = message;
            MessageDiv.Attributes.Add("class", isSuccess ? "alert alert-success"
                                                         : "alert alert-danger");
            MessageDiv.Visible = true;
        }
    }
}