﻿using System;
using System.Collections.Generic;
using KellermanSoftware.NetDataAccessLayer;
using KellermanSoftware.NetLinkTracker.Entities;

namespace NetLinkTrackerDemoWebforms
{
    public partial class ReviewLinks : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                try
                {
                    BusinessLogic businessLogic = new BusinessLogic();
                    List<TrackedLink> trackedLinks = businessLogic.GetAllLinks();

                    if (trackedLinks.Count == 0)
                        ShowMessage("No links found", true);

                    grdResult.DataSource = trackedLinks;
                    grdResult.DataBind();
                }
                catch (SqlException sqlex)
                {
                    ShowMessage(sqlex.Sql + "|" + sqlex, false);
                }
                catch (Exception ex)
                {
                    ShowMessage(ex.ToString(), false);
                }
            }
        }

        private void ShowMessage(string message, bool isSuccess)
        {
            MessageDiv.InnerText = message;
            MessageDiv.Attributes.Add("class", isSuccess ? "alert alert-success"
                                                         : "alert alert-danger");
            MessageDiv.Visible = true;
        }
    }
}